//attribute(s): position_linear

float x = 500;
float y = 200;
float speed = 20;


void setup() {
  size(1000, 400);
  smooth();
  frameRate(24);
  textFont(createFont("Langdon", 100));
}

void draw() {
  background(0);
  drive();
  overFlow();
  noCursor();
  text("DRIVE", x, y);
}

void drive() {
  if (keyPressed) {
    if (key == 'w')
    {
      y -= speed;
    }
    else if (key == 's')
    {
      y += speed;
    }
    else if (key == 'a')
    {
      x -= speed;
    }
    else if (key == 'd')
    {
      x += speed;
    }
  }
}

void overFlow() {
  if (x >= width) {
    x = -200;
  }
  if ( x <= -300) {
    x = width;
  }
  if (y >= height) {
    y = 0;
  }
  if (y <= -50) {
    y = height;
  }
}

